path: /build/build/bluez-net-wireless-5.76.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-btpclient -python_single_target_python3_10 -python_single_target_python3_7 -python_single_target_python3_8 -selinux -systemd -test -test-programs cups mesh midi obex python_single_target_python3_9 readline udev" emerge net-wireless/bluez -pv -t && \
    USE="-btpclient -python_single_target_python3_10 -python_single_target_python3_7 -python_single_target_python3_8 -selinux -systemd -test -test-programs cups mesh midi obex python_single_target_python3_9 readline udev" emerge -j ${JOBS} --nodeps net-wireless/bluez
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/bluez && luet-portage --dir /pkgdir/bluez
    net-wireless/bluez && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:eb7ba3373c314a6747d71047ee0aedec94c24f09c1b5923e02b9a99cbbbb4703
  package:
    name: bluez
    version: "5.76"
    category: net-wireless
    use_flags:
    - -btpclient
    - -python_single_target_python3_10
    - -python_single_target_python3_7
    - -python_single_target_python3_8
    - -selinux
    - -systemd
    - -test
    - -test-programs
    - cups
    - mesh
    - midi
    - obex
    - python_single_target_python3_9
    - readline
    - udev
    requires:
    - name: newt
      version: '>=0'
      category: dev-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Bluetooth Tools and System Daemons for Linux
    uri:
    - http://www.bluez.org
    license: GPL-2+ LGPL-2.1+
    buildtimestamp: 2024-07-03 09:19:03.713335808 +0000 UTC m=+835.315669040
    labels:
      BDEPEND: dev-python/docutils virtual/pkgconfig test? ( python_single_target_python3_10?
        ( dev-lang/python:3.10 >=dev-lang/python-exec-2:=[python_targets_python3_10]
        ) python_single_target_python3_7? ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7]
        ) python_single_target_python3_9? ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9]
        ) python_single_target_python3_8? ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8]
        ) python_single_target_python3_10? ( >=dev-python/dbus-python-1[python_targets_python3_10(-)]
        dev-python/pygobject:3[python_targets_python3_10(-)] ) python_single_target_python3_7?
        ( >=dev-python/dbus-python-1[python_targets_python3_7(-)] dev-python/pygobject:3[python_targets_python3_7(-)]
        ) python_single_target_python3_9? ( >=dev-python/dbus-python-1[python_targets_python3_9(-)]
        dev-python/pygobject:3[python_targets_python3_9(-)] ) python_single_target_python3_8?
        ( >=dev-python/dbus-python-1[python_targets_python3_8(-)] dev-python/pygobject:3[python_targets_python3_8(-)]
        ) ) >=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
        ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4 virtual/pkgconfig virtual/pkgconfig
      DEPEND: '>=dev-libs/glib-2.28:2[-mgorny(-)] btpclient? ( ~dev-libs/ell-0.66
        ) cups? ( net-print/cups:= ) mesh? ( ~dev-libs/ell-0.66 >=dev-libs/json-c-0.13:=
        sys-libs/readline:0= ) midi? ( media-libs/alsa-lib ) obex? ( dev-libs/libical:=
        ) readline? ( sys-libs/readline:0= ) systemd? ( sys-apps/systemd ) >=sys-apps/dbus-1.6:=
        udev? ( >=virtual/udev-172 )'
      IUSE: btpclient cups doc debug deprecated extra-tools experimental +mesh midi
        +obex +readline selinux systemd test test-programs +udev kernel_linux python_single_target_python3_10
        python_single_target_python3_7 python_single_target_python3_9 python_single_target_python3_8
        python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8 abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64
        abi_mips_o32 abi_s390_32 abi_s390_64
      RDEPEND: '>=dev-libs/glib-2.28:2[-mgorny(-)] btpclient? ( ~dev-libs/ell-0.66
        ) cups? ( net-print/cups:= ) mesh? ( ~dev-libs/ell-0.66 >=dev-libs/json-c-0.13:=
        sys-libs/readline:0= ) midi? ( media-libs/alsa-lib ) obex? ( dev-libs/libical:=
        ) readline? ( sys-libs/readline:0= ) systemd? ( sys-apps/systemd ) >=sys-apps/dbus-1.6:=
        udev? ( >=virtual/udev-172 ) selinux? ( sec-policy/selinux-bluetooth ) test-programs?
        ( python_single_target_python3_10? ( dev-lang/python:3.10 >=dev-lang/python-exec-2:=[python_targets_python3_10]
        ) python_single_target_python3_7? ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7]
        ) python_single_target_python3_9? ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9]
        ) python_single_target_python3_8? ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8]
        ) python_single_target_python3_10? ( >=dev-python/dbus-python-1[python_targets_python3_10(-)]
        dev-python/pygobject:3[python_targets_python3_10(-)] ) python_single_target_python3_7?
        ( >=dev-python/dbus-python-1[python_targets_python3_7(-)] dev-python/pygobject:3[python_targets_python3_7(-)]
        ) python_single_target_python3_9? ( >=dev-python/dbus-python-1[python_targets_python3_9(-)]
        dev-python/pygobject:3[python_targets_python3_9(-)] ) python_single_target_python3_8?
        ( >=dev-python/dbus-python-1[python_targets_python3_8(-)] dev-python/pygobject:3[python_targets_python3_8(-)]
        ) )'
      emerge.packages: net-wireless/bluez
      kit: core-kit
      original.package.name: net-wireless/bluez
      original.package.slot: "0"
      original.package.version: "5.76"
    treedir: /build/packages
  package_dir: /pkgdir/bluez
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 79c14d21872d16557b3e944366ef6c2000cede82f575252fb80742601142c7b5
compressiontype: zstd
files:
- etc/bluetooth/input.conf
- etc/bluetooth/main.conf
- etc/bluetooth/mesh-main.conf
- etc/bluetooth/network.conf
- etc/conf.d/bluetooth
- etc/init.d/bluetooth
- lib/udev/hid2hci
- lib/udev/rules.d/97-hid2hci.rules
- usr/bin/bluemoon
- usr/bin/bluetoothctl
- usr/bin/btattach
- usr/bin/btmon
- usr/bin/hex2hcd
- usr/bin/isotest
- usr/bin/l2ping
- usr/bin/l2test
- usr/bin/mesh-cfgclient
- usr/bin/mesh-cfgtest
- usr/bin/mpris-proxy
- usr/bin/rctest
- usr/include/bluetooth/bluetooth.h
- usr/include/bluetooth/bnep.h
- usr/include/bluetooth/cmtp.h
- usr/include/bluetooth/hci.h
- usr/include/bluetooth/hci_lib.h
- usr/include/bluetooth/hidp.h
- usr/include/bluetooth/l2cap.h
- usr/include/bluetooth/rfcomm.h
- usr/include/bluetooth/sco.h
- usr/include/bluetooth/sdp.h
- usr/include/bluetooth/sdp_lib.h
- usr/lib64/libbluetooth.so
- usr/lib64/libbluetooth.so.3
- usr/lib64/libbluetooth.so.3.19.14
- usr/lib64/pkgconfig/bluez.pc
- usr/libexec/bluetooth/bluetooth-meshd
- usr/libexec/bluetooth/bluetoothd
- usr/libexec/bluetooth/obexd
- usr/libexec/cups/backend/bluetooth
- usr/share/dbus-1/system.d/bluetooth-mesh.conf
- usr/share/dbus-1/system.d/bluetooth.conf
- usr/share/doc/bluez-5.76/AUTHORS.bz2
- usr/share/doc/bluez-5.76/ChangeLog.bz2
- usr/share/doc/bluez-5.76/README.bz2
- usr/share/doc/bluez-5.76/TODO.bz2
- usr/share/man/man1/bluetoothctl-admin.1.bz2
- usr/share/man/man1/bluetoothctl-advertise.1.bz2
- usr/share/man/man1/bluetoothctl-endpoint.1.bz2
- usr/share/man/man1/bluetoothctl-gatt.1.bz2
- usr/share/man/man1/bluetoothctl-mgmt.1.bz2
- usr/share/man/man1/bluetoothctl-monitor.1.bz2
- usr/share/man/man1/bluetoothctl-player.1.bz2
- usr/share/man/man1/bluetoothctl-scan.1.bz2
- usr/share/man/man1/bluetoothctl-transport.1.bz2
- usr/share/man/man1/bluetoothctl.1.bz2
- usr/share/man/man1/btattach.1.bz2
- usr/share/man/man1/btmgmt.1.bz2
- usr/share/man/man1/btmon.1.bz2
- usr/share/man/man1/hid2hci.1.bz2
- usr/share/man/man1/isotest.1.bz2
- usr/share/man/man1/l2ping.1.bz2
- usr/share/man/man1/rctest.1.bz2
- usr/share/man/man5/org.bluez.Adapter.5.bz2
- usr/share/man/man5/org.bluez.AdminPolicySet.5.bz2
- usr/share/man/man5/org.bluez.AdminPolicyStatus.5.bz2
- usr/share/man/man5/org.bluez.AdvertisementMonitor.5.bz2
- usr/share/man/man5/org.bluez.AdvertisementMonitorManager.5.bz2
- usr/share/man/man5/org.bluez.Agent.5.bz2
- usr/share/man/man5/org.bluez.AgentManager.5.bz2
- usr/share/man/man5/org.bluez.Battery.5.bz2
- usr/share/man/man5/org.bluez.BatteryProvider.5.bz2
- usr/share/man/man5/org.bluez.BatteryProviderManager.5.bz2
- usr/share/man/man5/org.bluez.Device.5.bz2
- usr/share/man/man5/org.bluez.DeviceSet.5.bz2
- usr/share/man/man5/org.bluez.GattCharacteristic.5.bz2
- usr/share/man/man5/org.bluez.GattDescriptor.5.bz2
- usr/share/man/man5/org.bluez.GattManager.5.bz2
- usr/share/man/man5/org.bluez.GattProfile.5.bz2
- usr/share/man/man5/org.bluez.GattService.5.bz2
- usr/share/man/man5/org.bluez.Input.5.bz2
- usr/share/man/man5/org.bluez.LEAdvertisement.5.bz2
- usr/share/man/man5/org.bluez.LEAdvertisingManager.5.bz2
- usr/share/man/man5/org.bluez.Media.5.bz2
- usr/share/man/man5/org.bluez.MediaControl.5.bz2
- usr/share/man/man5/org.bluez.MediaEndpoint.5.bz2
- usr/share/man/man5/org.bluez.MediaFolder.5.bz2
- usr/share/man/man5/org.bluez.MediaItem.5.bz2
- usr/share/man/man5/org.bluez.MediaPlayer.5.bz2
- usr/share/man/man5/org.bluez.MediaTransport.5.bz2
- usr/share/man/man5/org.bluez.Network.5.bz2
- usr/share/man/man5/org.bluez.NetworkServer.5.bz2
- usr/share/man/man5/org.bluez.Profile.5.bz2
- usr/share/man/man5/org.bluez.ProfileManager.5.bz2
- usr/share/man/man5/org.bluez.obex.Agent.5.bz2
- usr/share/man/man5/org.bluez.obex.AgentManager.5.bz2
- usr/share/man/man5/org.bluez.obex.Client.5.bz2
- usr/share/man/man5/org.bluez.obex.FileTransfer.5.bz2
- usr/share/man/man5/org.bluez.obex.Message.5.bz2
- usr/share/man/man5/org.bluez.obex.MessageAccess.5.bz2
- usr/share/man/man5/org.bluez.obex.ObjectPush.5.bz2
- usr/share/man/man5/org.bluez.obex.PhonebookAccess.5.bz2
- usr/share/man/man5/org.bluez.obex.Session.5.bz2
- usr/share/man/man5/org.bluez.obex.Synchronization.5.bz2
- usr/share/man/man5/org.bluez.obex.Transfer.5.bz2
- usr/share/man/man8/bluetooth-meshd.8.bz2
- usr/share/man/man8/bluetoothd.8.bz2
- usr/share/zsh/site-functions/_bluetoothctl
- var/db/pkg/net-wireless/bluez-5.76/BDEPEND
- var/db/pkg/net-wireless/bluez-5.76/BUILD_TIME
- var/db/pkg/net-wireless/bluez-5.76/CATEGORY
- var/db/pkg/net-wireless/bluez-5.76/CBUILD
- var/db/pkg/net-wireless/bluez-5.76/CFLAGS
- var/db/pkg/net-wireless/bluez-5.76/CHOST
- var/db/pkg/net-wireless/bluez-5.76/CONTENTS
- var/db/pkg/net-wireless/bluez-5.76/COUNTER
- var/db/pkg/net-wireless/bluez-5.76/CXXFLAGS
- var/db/pkg/net-wireless/bluez-5.76/DEFINED_PHASES
- var/db/pkg/net-wireless/bluez-5.76/DEPEND
- var/db/pkg/net-wireless/bluez-5.76/DESCRIPTION
- var/db/pkg/net-wireless/bluez-5.76/EAPI
- var/db/pkg/net-wireless/bluez-5.76/FEATURES
- var/db/pkg/net-wireless/bluez-5.76/HOMEPAGE
- var/db/pkg/net-wireless/bluez-5.76/INHERITED
- var/db/pkg/net-wireless/bluez-5.76/IUSE
- var/db/pkg/net-wireless/bluez-5.76/IUSE_EFFECTIVE
- var/db/pkg/net-wireless/bluez-5.76/KEYWORDS
- var/db/pkg/net-wireless/bluez-5.76/LDFLAGS
- var/db/pkg/net-wireless/bluez-5.76/LICENSE
- var/db/pkg/net-wireless/bluez-5.76/NEEDED
- var/db/pkg/net-wireless/bluez-5.76/PF
- var/db/pkg/net-wireless/bluez-5.76/PROVIDES
- var/db/pkg/net-wireless/bluez-5.76/RDEPEND
- var/db/pkg/net-wireless/bluez-5.76/REQUIRES
- var/db/pkg/net-wireless/bluez-5.76/RESTRICT
- var/db/pkg/net-wireless/bluez-5.76/SIZE
- var/db/pkg/net-wireless/bluez-5.76/SLOT
- var/db/pkg/net-wireless/bluez-5.76/USE
- var/db/pkg/net-wireless/bluez-5.76/bluez-5.76.ebuild
- var/db/pkg/net-wireless/bluez-5.76/environment.bz2
- var/db/pkg/net-wireless/bluez-5.76/repository
- var/lib/bluetooth/.keep_net-wireless_bluez-0
package_cacheimage: ""
runtime:
  name: bluez
  version: "5.76"
  category: net-wireless
  use_flags:
  - -btpclient
  - -python_single_target_python3_10
  - -python_single_target_python3_7
  - -python_single_target_python3_8
  - -selinux
  - -systemd
  - -test
  - -test-programs
  - cups
  - mesh
  - midi
  - obex
  - python_single_target_python3_9
  - readline
  - udev
  requires:
  - name: ell
    version: '>=0'
    category: dev-libs
  - name: glib
    version: '>=0'
    category: dev-libs-2
  - name: json-c
    version: '>=0'
    category: dev-libs
  - name: libical
    version: '>=0'
    category: dev-libs
  - name: alsa-lib
    version: '>=0'
    category: media-libs
  - name: cups
    version: '>=0'
    category: net-print
  - name: dbus
    version: '>=0'
    category: sys-apps
  - name: readline
    version: '>=0'
    category: sys-libs
  - name: udev
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Bluetooth Tools and System Daemons for Linux
  uri:
  - http://www.bluez.org
  license: GPL-2+ LGPL-2.1+
  labels:
    BDEPEND: dev-python/docutils virtual/pkgconfig test? ( python_single_target_python3_10?
      ( dev-lang/python:3.10 >=dev-lang/python-exec-2:=[python_targets_python3_10]
      ) python_single_target_python3_7? ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7]
      ) python_single_target_python3_9? ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9]
      ) python_single_target_python3_8? ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8]
      ) python_single_target_python3_10? ( >=dev-python/dbus-python-1[python_targets_python3_10(-)]
      dev-python/pygobject:3[python_targets_python3_10(-)] ) python_single_target_python3_7?
      ( >=dev-python/dbus-python-1[python_targets_python3_7(-)] dev-python/pygobject:3[python_targets_python3_7(-)]
      ) python_single_target_python3_9? ( >=dev-python/dbus-python-1[python_targets_python3_9(-)]
      dev-python/pygobject:3[python_targets_python3_9(-)] ) python_single_target_python3_8?
      ( >=dev-python/dbus-python-1[python_targets_python3_8(-)] dev-python/pygobject:3[python_targets_python3_8(-)]
      ) ) >=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
      ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4 virtual/pkgconfig virtual/pkgconfig
    DEPEND: '>=dev-libs/glib-2.28:2[-mgorny(-)] btpclient? ( ~dev-libs/ell-0.66 )
      cups? ( net-print/cups:= ) mesh? ( ~dev-libs/ell-0.66 >=dev-libs/json-c-0.13:=
      sys-libs/readline:0= ) midi? ( media-libs/alsa-lib ) obex? ( dev-libs/libical:=
      ) readline? ( sys-libs/readline:0= ) systemd? ( sys-apps/systemd ) >=sys-apps/dbus-1.6:=
      udev? ( >=virtual/udev-172 )'
    IUSE: btpclient cups doc debug deprecated extra-tools experimental +mesh midi
      +obex +readline selinux systemd test test-programs +udev kernel_linux python_single_target_python3_10
      python_single_target_python3_7 python_single_target_python3_9 python_single_target_python3_8
      python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8 abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64
      abi_mips_o32 abi_s390_32 abi_s390_64
    RDEPEND: '>=dev-libs/glib-2.28:2[-mgorny(-)] btpclient? ( ~dev-libs/ell-0.66 )
      cups? ( net-print/cups:= ) mesh? ( ~dev-libs/ell-0.66 >=dev-libs/json-c-0.13:=
      sys-libs/readline:0= ) midi? ( media-libs/alsa-lib ) obex? ( dev-libs/libical:=
      ) readline? ( sys-libs/readline:0= ) systemd? ( sys-apps/systemd ) >=sys-apps/dbus-1.6:=
      udev? ( >=virtual/udev-172 ) selinux? ( sec-policy/selinux-bluetooth ) test-programs?
      ( python_single_target_python3_10? ( dev-lang/python:3.10 >=dev-lang/python-exec-2:=[python_targets_python3_10]
      ) python_single_target_python3_7? ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7]
      ) python_single_target_python3_9? ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9]
      ) python_single_target_python3_8? ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8]
      ) python_single_target_python3_10? ( >=dev-python/dbus-python-1[python_targets_python3_10(-)]
      dev-python/pygobject:3[python_targets_python3_10(-)] ) python_single_target_python3_7?
      ( >=dev-python/dbus-python-1[python_targets_python3_7(-)] dev-python/pygobject:3[python_targets_python3_7(-)]
      ) python_single_target_python3_9? ( >=dev-python/dbus-python-1[python_targets_python3_9(-)]
      dev-python/pygobject:3[python_targets_python3_9(-)] ) python_single_target_python3_8?
      ( >=dev-python/dbus-python-1[python_targets_python3_8(-)] dev-python/pygobject:3[python_targets_python3_8(-)]
      ) )'
    emerge.packages: net-wireless/bluez
    kit: core-kit
    original.package.name: net-wireless/bluez
    original.package.slot: "0"
    original.package.version: "5.76"
